@use "../abstract/" as abs;


.navbar{
    position: relative;
    z-index: 20;

    &-hamburger-menu{
        width: 4rem;
        height: 4rem;

        position: fixed;
        top: 10%;
        right: 5%;
        z-index: 30;

        @include abs.respond(large){
            width: 3.5rem;
            height: 3.5rem;
        }

        @include abs.respond(medium){
            width: 3rem;
            height: 3rem;
        }
        
    }

    &__menu{
        @include abs.fullSpace;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        cursor: pointer;
        transition: transform .5s;
        
        &-line{
            width: 100%;
            height: .4rem;
            background-color: abs.$color-primary;
            transform-origin: right;
            transition: all .5s .5s;

            @include abs.respond(large){
                height: .3rem;
            }

            @include abs.respond(medium){
                height: .2rem;
            }
        }
    }

    &-navi{
        display: flex;

        &-left{
            @include abs.widthHalfSpace;
            background-color: abs.$color-dark;
            position: fixed;
            left: -50vw;
            top: 0;
            transition: left .8s cubic-bezier(1,0,0,1);

            @include abs.respond(small){
                display: none;
            }


            &__img{
                width: 55%;
                position: absolute;
                border-radius: 7px;
                box-shadow: 0 15px 60px rgba(abs.$color-black, .4);
                opacity: .7;

                @include abs.respond(large) {
                    width: 50%;
                }

                &-1{
                    top: 15%;
                    left: 15%;

                    @include abs.respond(large) {
                        top: 25%;
                        left: 15%;
                    }
                }

                &-2{
                    top: 30%;
                    left: 30%;

                    @include abs.respond(large) {
                        top: 35%;
                        left: 25%;
                    }
                }

                &-3{
                    top: 45%;
                    left: 40%;

                    @include abs.respond(large) {
                        top: 45%;
                        left: 35%;
                    }
                }
            }
        }

        &-right{
            @include abs.widthHalfSpace;
            background-color: abs.$color-dark-1;
            position: fixed;
            right: -50vw;
            top: 0;
            transition: right .8s cubic-bezier(1, 0, 0, 1);
            @include abs.flexCenter;
            flex-direction: column;

            @include abs.respond(small){
                width: 100vw;
                right: -100vw;
            }
            
            &__list{
                list-style-type: none;

                &-link:link,
                &-link:visited{
                    color: abs.$color-secondary;
                    font-family: abs.$font-dancingScript;
                    font-size: 5rem;
                    @include abs.textStyles(capitalize);
                    display: block;
                    text-align: center;
                    margin: 2rem;
                    transition: all .5s;


                    @include abs.respond(medium){
                        font-size: 4rem;
                    }
                }

                &-link:hover,
                &-link:active{
                    color: abs.$color-primary;
                    letter-spacing: .4rem;
                }
            }
        }
    }
}

// checkbox state
.checkbox:checked ~ .navbar-navi .navbar-navi-left{
    left: 0;
}

.checkbox:checked ~ .navbar-navi .navbar-navi-right {
    right: 0;
}

.checkbox:checked ~ .navbar-hamburger-menu .navbar__menu{
    transform: rotateZ(90deg);
}

.checkbox:checked~.navbar-hamburger-menu .navbar__menu-line-1 {
    transform: rotateZ(-40deg);
}

.checkbox:checked~.navbar-hamburger-menu .navbar__menu-line-2 {
    opacity: 0;
}

.checkbox:checked~.navbar-hamburger-menu .navbar__menu-line-3 {
    transform: rotateZ(40deg);
}